Subject: Re: [Jmap] Warren Kumari's No Objection on draft-ietf-jmap-smime-09: (with COMMENT)

From: Alexey Melnikov <[email-masked]>
Date: Wed, 5 Jan 2022 17:17:30 +0000

Hi Menachem,

As Warren pointed out, I've addressed most of your comments in earlier 
version. The upcoming -12 will clarify your comment #5:

> 5. In section 6 "Security Considerations" - it would be nice to have some additional explanation of the recommendation to cache the results for 10 minutes. Is this to be done on the server side or at the client? Should there be a reference here to other documents on signature verification?
After further discussion with the WG, 10 minutes were changed to 24 
hours, which is a better period for certificate expiration. The value 
was determined empirically.

In regards to signature verification, I've added references to RFC 8551 
and RFC 8550 elsewhere in the document.

Best Regards,

Alexey

On 21/10/2021 14:59, Alexey Melnikov wrote:
>
> Hi Menachem/Warren,
>
> My apologies, I don't think I've seen the OpsDir review, so I will 
> reply to it separately.
>
> In regards to lack of "Updates: 8621": as this defines a JMAP 
> extension that doesn't modify the base JMAP protocol (other than 
> extending it), it is not customary to include "Updates: 8621". Or to 
> rephrase: a reader of RFC 8621 doesn't need to know about existence of 
> this document unless there is desire to implement it.
>
> Best Regards,
>
> Alexey
>
> On 20/10/2021 06:02, מנחם דודג' wrote:
>> Hello,
>>
>> I was not involved in any email discussions regarding my review.
>>
>> Thank you kindly.
>>
>> Best Regards,
>> Menachem
>>
>> ‫בתאריך יום ד׳, 20 באוק׳ 2021 ב-2:10 מאת ‪Warren Kumari via 
>> Datatracker‬‏ <‪[email-masked]‬‏>:‬
>>
>>     Warren Kumari has entered the following ballot position for
>>     draft-ietf-jmap-smime-09: No Objection
>>
>>     When responding, please keep the subject line intact and reply to all
>>     email addresses included in the To and CC lines. (Feel free to
>>     cut this
>>     introductory paragraph, however.)
>>
>>
>>     Please refer to
>>     https://www.ietf.org/blog/handling-iesg-ballot-positions/
>>     for more information about how to handle DISCUSS and COMMENT
>>     positions.
>>
>>
>>     The document, along with other ballot positions, can be found here:
>>     https://datatracker.ietf.org/doc/draft-ietf-jmap-smime/
>>
>>
>>
>>     ----------------------------------------------------------------------
>>     COMMENT:
>>     ----------------------------------------------------------------------
>>
>>     Thanks to Menachem Dodge for the OpsDir review; I see that the
>>     author has
>>     incorporated / addressed many of the comments/nits, but I don't
>>     think I saw any
>>     sort of discussion around the "Please consider whether the
>>     document header
>>     should indicate "Updates: 8621"." (which Benjamin also referenced).
>>
>>     It is entirely possible that I completely missed any discussions,
>>     but I'd be
>>     interested in an answer if possible.
>>

---

From: מנחם דודג' <[email-masked]>
Date: Wed, 5 Jan 2022 21:43:27 +0200

Hello Alexey,

Thanks very much for addressing my comments and for keeping me informed.

Best Regards,
Menachem

‫בתאריך יום ד׳, 5 בינו׳ 2022 ב-19:17 מאת ‪Alexey Melnikov‬‏ <‪
[email-masked]‬‏>:‬

> After further discussion with the WG, 10 minutes were changed to 24 hours,
> which is a better period for certificate expiration. The value was
> determined empirically.
>
> My apologies, I don't think I've seen the OpsDir review, so I will reply
> to it separately.
>
> In regards to lack of "Updates: 8621": as this defines a JMAP extension
> that doesn't modify the base JMAP protocol (other than extending it), it is
> not customary to include "Updates: 8621". Or to rephrase: a reader of RFC
> 8621 doesn't need to know about existence of this document unless there is
> desire to implement it.
>
> Best Regards,
>
> Alexey
> ‫בתאריך יום ד׳, 20 באוק׳ 2021 ב-2:10 מאת ‪Warren Kumari via Datatracker‬‏
> <‪[email-masked]‬‏>:‬
>
>> email addresses included in the To and CC lines. (Feel free to cut this
>> Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
>> for more information about how to handle DISCUSS and COMMENT positions.
>>
>>
>> Thanks to Menachem Dodge for the OpsDir review; I see that the author has
>> incorporated / addressed many of the comments/nits, but I don't think I
>> saw any
>> sort of discussion around the "Please consider whether the document header
>> It is entirely possible that I completely missed any discussions, but I'd
>> be